//===- TableGen'erated file -------------------------------------*- C++ -*-===//
//
// Subtarget Enumeration Source Fragment
//
// Automatically generated file, do not edit!
//
//===----------------------------------------------------------------------===//


#ifdef GET_SUBTARGETINFO_ENUM
#undef GET_SUBTARGETINFO_ENUM
namespace llvm {
namespace AMDGPU {
enum {
  Feature32on64BitPtr =  1ULL << 0,
  Feature64BitPtr =  1ULL << 1,
  FeatureBarrierDetect =  1ULL << 2,
  FeatureByteAddress =  1ULL << 3,
  FeatureDebug =  1ULL << 4,
  FeatureDumpCode =  1ULL << 5,
  FeatureFP64 =  1ULL << 6,
  FeatureImages =  1ULL << 7,
  FeatureMacroDB =  1ULL << 8,
  FeatureMultiUAV =  1ULL << 9,
  FeatureNoAlias =  1ULL << 10,
  FeatureNoInline =  1ULL << 11
};
}
} // End llvm namespace 
#endif // GET_SUBTARGETINFO_ENUM


#ifdef GET_SUBTARGETINFO_MC_DESC
#undef GET_SUBTARGETINFO_MC_DESC
namespace llvm {
// Sorted (by key) array of values for CPU features.
extern const llvm::SubtargetFeatureKV AMDGPUFeatureKV[] = {
  { "64BitPtr", "Specify if 64bit addressing should be used.", AMDGPU::Feature64BitPtr, 0ULL },
  { "64on32BitPtr", "Specify if 64bit sized pointers with 32bit addressing should be used.", AMDGPU::Feature32on64BitPtr, 0ULL },
  { "DumpCode", "Dump MachineInstrs in the CodeEmitter", AMDGPU::FeatureDumpCode, 0ULL },
  { "barrier_detect", "Enable duplicate barrier detection(HD5XXX or later).", AMDGPU::FeatureBarrierDetect, 0ULL },
  { "byte_addressable_store", "Enable byte addressable stores", AMDGPU::FeatureByteAddress, 0ULL },
  { "debug", "Debug mode is enabled, so disable hardware accelerated address spaces.", AMDGPU::FeatureDebug, 0ULL },
  { "fp64", "Enable 64bit double precision operations", AMDGPU::FeatureFP64, 0ULL },
  { "images", "Enable image functions", AMDGPU::FeatureImages, 0ULL },
  { "macrodb", "Use internal macrodb, instead of macrodb in driver", AMDGPU::FeatureMacroDB, 0ULL },
  { "multi_uav", "Generate multiple UAV code(HD5XXX family or later)", AMDGPU::FeatureMultiUAV, 0ULL },
  { "no-inline", "specify whether to not inline functions", AMDGPU::FeatureNoInline, 0ULL },
  { "noalias", "assert that all kernel argument pointers are not aliased", AMDGPU::FeatureNoAlias, 0ULL }
};

// Sorted (by key) array of values for CPU subtype.
extern const llvm::SubtargetFeatureKV AMDGPUSubTypeKV[] = {
  { "SI", "Select the SI processor", AMDGPU::Feature64BitPtr, 0ULL },
  { "barts", "Select the barts processor", AMDGPU::FeatureByteAddress | AMDGPU::FeatureImages, 0ULL },
  { "caicos", "Select the caicos processor", AMDGPU::FeatureByteAddress | AMDGPU::FeatureImages, 0ULL },
  { "cayman", "Select the cayman processor", AMDGPU::FeatureByteAddress | AMDGPU::FeatureImages | AMDGPU::FeatureFP64, 0ULL },
  { "cedar", "Select the cedar processor", AMDGPU::FeatureByteAddress | AMDGPU::FeatureImages, 0ULL },
  { "cypress", "Select the cypress processor", AMDGPU::FeatureByteAddress | AMDGPU::FeatureImages | AMDGPU::FeatureFP64, 0ULL },
  { "juniper", "Select the juniper processor", AMDGPU::FeatureByteAddress | AMDGPU::FeatureImages, 0ULL },
  { "redwood", "Select the redwood processor", AMDGPU::FeatureByteAddress | AMDGPU::FeatureImages, 0ULL },
  { "rv710", "Select the rv710 processor", 0ULL, 0ULL },
  { "rv730", "Select the rv730 processor", 0ULL, 0ULL },
  { "rv770", "Select the rv770 processor", AMDGPU::FeatureFP64, 0ULL },
  { "turks", "Select the turks processor", AMDGPU::FeatureByteAddress | AMDGPU::FeatureImages, 0ULL }
};


// Functional units for itineraries "R600_EG_Itin"
namespace R600_EG_ItinFU {
  const unsigned ALU_X = 1 << 0;
  const unsigned ALU_Y = 1 << 1;
  const unsigned ALU_Z = 1 << 2;
  const unsigned ALU_W = 1 << 3;
  const unsigned TRANS = 1 << 4;
  const unsigned ALU_NULL = 1 << 5;
}

extern const llvm::InstrStage AMDGPUStages[] = {
  { 0, 0, 0, llvm::InstrStage::Required }, // No itinerary
  { 1, R600_EG_ItinFU::ALU_X | R600_EG_ItinFU::ALU_Y | R600_EG_ItinFU::ALU_Z | R600_EG_ItinFU::ALU_W | R600_EG_ItinFU::TRANS, -1, (llvm::InstrStage::ReservationKinds)0 }, // 1
  { 1, R600_EG_ItinFU::ALU_X | R600_EG_ItinFU::ALU_Y | R600_EG_ItinFU::ALU_X | R600_EG_ItinFU::ALU_W, -1, (llvm::InstrStage::ReservationKinds)0 }, // 2
  { 1, R600_EG_ItinFU::TRANS, -1, (llvm::InstrStage::ReservationKinds)0 }, // 3
  { 1, R600_EG_ItinFU::ALU_NULL, -1, (llvm::InstrStage::ReservationKinds)0 }, // 4
  { 0, 0, 0, llvm::InstrStage::Required } // End itinerary
};
extern const unsigned AMDGPUOperandCycles[] = {
  0, // No itinerary
  0 // End itinerary
};
extern const unsigned AMDGPUForwardingPathes[] = {
  0, // No itinerary
  0 // End itinerary
};

static const llvm::InstrItinerary R600_EG_Itin[] = {
  { 1, 1, 2, 0, 0 }, // 0 AnyALU
  { 1, 0, 0, 0, 0 }, // 1 NoItinerary
  { 1, 4, 5, 0, 0 }, // 2 NullALU
  { 1, 3, 4, 0, 0 }, // 3 TransALU
  { 1, 2, 3, 0, 0 }, // 4 VecALU
  { 1, ~0U, ~0U, ~0U, ~0U } // end marker
};

static const llvm::InstrItinerary SI_Itin[] = {
  { 1, 0, 0, 0, 0 }, // 0 AnyALU
  { 1, 0, 0, 0, 0 }, // 1 NoItinerary
  { 1, 0, 0, 0, 0 }, // 2 NullALU
  { 1, 0, 0, 0, 0 }, // 3 TransALU
  { 1, 0, 0, 0, 0 }, // 4 VecALU
  { 1, ~0U, ~0U, ~0U, ~0U } // end marker
};

// Sorted (by key) array of itineraries for CPU subtype.
extern const llvm::SubtargetInfoKV AMDGPUProcItinKV[] = {
  { "SI", (void *)&SI_Itin },
  { "barts", (void *)&R600_EG_Itin },
  { "caicos", (void *)&R600_EG_Itin },
  { "cayman", (void *)&R600_EG_Itin },
  { "cedar", (void *)&R600_EG_Itin },
  { "cypress", (void *)&R600_EG_Itin },
  { "juniper", (void *)&R600_EG_Itin },
  { "redwood", (void *)&R600_EG_Itin },
  { "rv710", (void *)&R600_EG_Itin },
  { "rv730", (void *)&R600_EG_Itin },
  { "rv770", (void *)&R600_EG_Itin },
  { "turks", (void *)&R600_EG_Itin }
};

static inline void InitAMDGPUMCSubtargetInfo(MCSubtargetInfo *II, StringRef TT, StringRef CPU, StringRef FS) {
  II->InitMCSubtargetInfo(TT, CPU, FS, AMDGPUFeatureKV, AMDGPUSubTypeKV, AMDGPUProcItinKV, AMDGPUStages, AMDGPUOperandCycles, AMDGPUForwardingPathes, 12, 12);
}

} // End llvm namespace 
#endif // GET_SUBTARGETINFO_MC_DESC


#ifdef GET_SUBTARGETINFO_TARGET_DESC
#undef GET_SUBTARGETINFO_TARGET_DESC
#include "llvm/Support/Debug.h"
#include "llvm/Support/raw_ostream.h"
// ParseSubtargetFeatures - Parses features string setting specified
// subtarget options.
void llvm::AMDGPUSubtarget::ParseSubtargetFeatures(StringRef CPU, StringRef FS) {
  DEBUG(dbgs() << "\nFeatures:" << FS);
  DEBUG(dbgs() << "\nCPU:" << CPU);
  uint64_t Bits = ReInitMCSubtargetInfo(CPU, FS);
  if ((Bits & AMDGPU::Feature32on64BitPtr) != 0) mIs32on64bit = false;
  if ((Bits & AMDGPU::Feature64BitPtr) != 0) mIs64bit = false;
  if ((Bits & AMDGPU::FeatureBarrierDetect) != 0) CapsOverride[AMDGPUDeviceInfo::BarrierDetect] = true;
  if ((Bits & AMDGPU::FeatureByteAddress) != 0) CapsOverride[AMDGPUDeviceInfo::ByteStores] = true;
  if ((Bits & AMDGPU::FeatureDebug) != 0) CapsOverride[AMDGPUDeviceInfo::Debug] = true;
  if ((Bits & AMDGPU::FeatureDumpCode) != 0) mDumpCode = true;
  if ((Bits & AMDGPU::FeatureFP64) != 0) CapsOverride[AMDGPUDeviceInfo::DoubleOps] = true;
  if ((Bits & AMDGPU::FeatureImages) != 0) CapsOverride[AMDGPUDeviceInfo::Images] = true;
  if ((Bits & AMDGPU::FeatureMacroDB) != 0) CapsOverride[AMDGPUDeviceInfo::MacroDB] = true;
  if ((Bits & AMDGPU::FeatureMultiUAV) != 0) CapsOverride[AMDGPUDeviceInfo::MultiUAV] = true;
  if ((Bits & AMDGPU::FeatureNoAlias) != 0) CapsOverride[AMDGPUDeviceInfo::NoAlias] = true;
  if ((Bits & AMDGPU::FeatureNoInline) != 0) CapsOverride[AMDGPUDeviceInfo::NoInline] = true;
}
#endif // GET_SUBTARGETINFO_TARGET_DESC


#ifdef GET_SUBTARGETINFO_HEADER
#undef GET_SUBTARGETINFO_HEADER
namespace llvm {
class DFAPacketizer;
struct AMDGPUGenSubtargetInfo : public TargetSubtargetInfo {
  explicit AMDGPUGenSubtargetInfo(StringRef TT, StringRef CPU, StringRef FS);
public:
  DFAPacketizer *createDFAPacketizer(const InstrItineraryData *IID) const;
};
} // End llvm namespace 
#endif // GET_SUBTARGETINFO_HEADER


#ifdef GET_SUBTARGETINFO_CTOR
#undef GET_SUBTARGETINFO_CTOR
namespace llvm {
extern const llvm::SubtargetFeatureKV AMDGPUFeatureKV[];
extern const llvm::SubtargetFeatureKV AMDGPUSubTypeKV[];
extern const llvm::SubtargetInfoKV AMDGPUProcItinKV[];
extern const llvm::InstrStage AMDGPUStages[];
extern const unsigned AMDGPUOperandCycles[];
extern const unsigned AMDGPUForwardingPathes[];
AMDGPUGenSubtargetInfo::AMDGPUGenSubtargetInfo(StringRef TT, StringRef CPU, StringRef FS)
  : TargetSubtargetInfo() {
  InitMCSubtargetInfo(TT, CPU, FS, AMDGPUFeatureKV, AMDGPUSubTypeKV, AMDGPUProcItinKV, AMDGPUStages, AMDGPUOperandCycles, AMDGPUForwardingPathes, 12, 12);
}

} // End llvm namespace 
#endif // GET_SUBTARGETINFO_CTOR

