unsigned SIRegisterInfo::getHWRegNum(unsigned reg) const
{
  switch(reg) {
  case AMDGPU::VGPR127:
    return 127;
  case AMDGPU::SGPR32:
  case AMDGPU::SGPR32_64:
  case AMDGPU::SGPR32_128:
  case AMDGPU::SGPR32_256:
  case AMDGPU::VGPR32:
  case AMDGPU::VGPR32_64:
  case AMDGPU::VGPR32_128:
    return 32;
  case AMDGPU::SGPR90:
  case AMDGPU::SGPR90_64:
  case AMDGPU::VGPR90:
  case AMDGPU::VGPR90_64:
    return 90;
  case AMDGPU::VGPR206:
  case AMDGPU::VGPR206_64:
    return 206;
  case AMDGPU::VGPR118:
  case AMDGPU::VGPR118_64:
    return 118;
  case AMDGPU::SGPR71:
  case AMDGPU::VGPR71:
    return 71;
  case AMDGPU::SGPR102:
  case AMDGPU::SGPR102_64:
  case AMDGPU::VGPR102:
  case AMDGPU::VGPR102_64:
    return 102;
  case AMDGPU::VGPR200:
  case AMDGPU::VGPR200_64:
  case AMDGPU::VGPR200_128:
    return 200;
  case AMDGPU::SGPR18:
  case AMDGPU::SGPR18_64:
  case AMDGPU::VGPR18:
  case AMDGPU::VGPR18_64:
    return 18;
  case AMDGPU::VGPR125:
    return 125;
  case AMDGPU::SGPR16:
  case AMDGPU::SGPR16_64:
  case AMDGPU::SGPR16_128:
  case AMDGPU::SGPR16_256:
  case AMDGPU::VGPR16:
  case AMDGPU::VGPR16_64:
  case AMDGPU::VGPR16_128:
    return 16;
  case AMDGPU::SGPR44:
  case AMDGPU::SGPR44_64:
  case AMDGPU::SGPR44_128:
  case AMDGPU::VGPR44:
  case AMDGPU::VGPR44_64:
  case AMDGPU::VGPR44_128:
    return 44;
  case AMDGPU::SGPR55:
  case AMDGPU::VGPR55:
    return 55;
  case AMDGPU::SGPR84:
  case AMDGPU::SGPR84_64:
  case AMDGPU::SGPR84_128:
  case AMDGPU::VGPR84:
  case AMDGPU::VGPR84_64:
  case AMDGPU::VGPR84_128:
    return 84;
  case AMDGPU::SGPR27:
  case AMDGPU::VGPR27:
    return 27;
  case AMDGPU::VGPR233:
    return 233;
  case AMDGPU::VGPR190:
  case AMDGPU::VGPR190_64:
    return 190;
  case AMDGPU::VGPR161:
    return 161;
  case AMDGPU::VGPR194:
  case AMDGPU::VGPR194_64:
    return 194;
  case AMDGPU::SGPR95:
  case AMDGPU::VGPR95:
    return 95;
  case AMDGPU::SGPR57:
  case AMDGPU::VGPR57:
    return 57;
  case AMDGPU::VGPR220:
  case AMDGPU::VGPR220_64:
  case AMDGPU::VGPR220_128:
    return 220;
  case AMDGPU::SGPR20:
  case AMDGPU::SGPR20_64:
  case AMDGPU::SGPR20_128:
  case AMDGPU::VGPR20:
  case AMDGPU::VGPR20_64:
  case AMDGPU::VGPR20_128:
    return 20;
  case AMDGPU::VGPR243:
    return 243;
  case AMDGPU::VGPR231:
    return 231;
  case AMDGPU::VGPR163:
    return 163;
  case AMDGPU::VGPR109:
    return 109;
  case AMDGPU::VGPR151:
    return 151;
  case AMDGPU::SGPR89:
  case AMDGPU::VGPR89:
    return 89;
  case AMDGPU::VGPR175:
    return 175;
  case AMDGPU::VGPR148:
  case AMDGPU::VGPR148_64:
  case AMDGPU::VGPR148_128:
    return 148;
  case AMDGPU::SGPR31:
  case AMDGPU::VGPR31:
    return 31;
  case AMDGPU::SGPR35:
  case AMDGPU::VGPR35:
    return 35;
  case AMDGPU::SGPR11:
  case AMDGPU::VGPR11:
    return 11;
  case AMDGPU::VGPR208:
  case AMDGPU::VGPR208_64:
  case AMDGPU::VGPR208_128:
    return 208;
  case AMDGPU::SGPR78:
  case AMDGPU::SGPR78_64:
  case AMDGPU::VGPR78:
  case AMDGPU::VGPR78_64:
    return 78;
  case AMDGPU::SGPR93:
  case AMDGPU::VGPR93:
    return 93;
  case AMDGPU::EXEC:
  case AMDGPU::VGPR106:
  case AMDGPU::VGPR106_64:
    return 106;
  case AMDGPU::VGPR157:
    return 157;
  case AMDGPU::SGPR65:
  case AMDGPU::VGPR65:
    return 65;
  case AMDGPU::SGPR29:
  case AMDGPU::VGPR29:
    return 29;
  case AMDGPU::VGPR197:
    return 197;
  case AMDGPU::VGPR203:
    return 203;
  case AMDGPU::VGPR138:
  case AMDGPU::VGPR138_64:
    return 138;
  case AMDGPU::VGPR199:
    return 199;
  case AMDGPU::VGPR114:
  case AMDGPU::VGPR114_64:
    return 114;
  case AMDGPU::VGPR226:
  case AMDGPU::VGPR226_64:
    return 226;
  case AMDGPU::SGPR58:
  case AMDGPU::SGPR58_64:
  case AMDGPU::VGPR58:
  case AMDGPU::VGPR58_64:
    return 58;
  case AMDGPU::VGPR211:
    return 211;
  case AMDGPU::VGPR153:
    return 153;
  case AMDGPU::SGPR15:
  case AMDGPU::VGPR15:
    return 15;
  case AMDGPU::VGPR137:
    return 137;
  case AMDGPU::SGPR81:
  case AMDGPU::VGPR81:
    return 81;
  case AMDGPU::SGPR60:
  case AMDGPU::SGPR60_64:
  case AMDGPU::SGPR60_128:
  case AMDGPU::VGPR60:
  case AMDGPU::VGPR60_64:
  case AMDGPU::VGPR60_128:
    return 60;
  case AMDGPU::SGPR101:
  case AMDGPU::VGPR101:
    return 101;
  case AMDGPU::SGPR73:
  case AMDGPU::VGPR73:
    return 73;
  case AMDGPU::SGPR86:
  case AMDGPU::SGPR86_64:
  case AMDGPU::VGPR86:
  case AMDGPU::VGPR86_64:
    return 86;
  case AMDGPU::SGPR76:
  case AMDGPU::SGPR76_64:
  case AMDGPU::SGPR76_128:
  case AMDGPU::VGPR76:
  case AMDGPU::VGPR76_64:
  case AMDGPU::VGPR76_128:
    return 76;
  case AMDGPU::SGPR62:
  case AMDGPU::SGPR62_64:
  case AMDGPU::VGPR62:
  case AMDGPU::VGPR62_64:
    return 62;
  case AMDGPU::VGPR247:
    return 247;
  case AMDGPU::SGPR67:
  case AMDGPU::VGPR67:
    return 67;
  case AMDGPU::VGPR204:
  case AMDGPU::VGPR204_64:
  case AMDGPU::VGPR204_128:
    return 204;
  case AMDGPU::VGPR241:
    return 241;
  case AMDGPU::VGPR165:
    return 165;
  case AMDGPU::VGPR198:
  case AMDGPU::VGPR198_64:
    return 198;
  case AMDGPU::VGPR139:
    return 139;
  case AMDGPU::VGPR129:
    return 129;
  case AMDGPU::SGPR2:
  case AMDGPU::SGPR2_64:
  case AMDGPU::VGPR2:
  case AMDGPU::VGPR2_64:
    return 2;
  case AMDGPU::SGPR17:
  case AMDGPU::VGPR17:
    return 17;
  case AMDGPU::VGPR186:
  case AMDGPU::VGPR186_64:
    return 186;
  case AMDGPU::VGPR110:
  case AMDGPU::VGPR110_64:
    return 110;
  case AMDGPU::SGPR82:
  case AMDGPU::SGPR82_64:
  case AMDGPU::VGPR82:
  case AMDGPU::VGPR82_64:
    return 82;
  case AMDGPU::VGPR147:
    return 147;
  case AMDGPU::VGPR228:
  case AMDGPU::VGPR228_64:
  case AMDGPU::VGPR228_128:
    return 228;
  case AMDGPU::VGPR236:
  case AMDGPU::VGPR236_64:
  case AMDGPU::VGPR236_128:
    return 236;
  case AMDGPU::VGPR249:
    return 249;
  case AMDGPU::VGPR218:
  case AMDGPU::VGPR218_64:
    return 218;
  case AMDGPU::VGPR202:
  case AMDGPU::VGPR202_64:
    return 202;
  case AMDGPU::VGPR168:
  case AMDGPU::VGPR168_64:
  case AMDGPU::VGPR168_128:
    return 168;
  case AMDGPU::VGPR184:
  case AMDGPU::VGPR184_64:
  case AMDGPU::VGPR184_128:
    return 184;
  case AMDGPU::VGPR135:
    return 135;
  case AMDGPU::SGPR14:
  case AMDGPU::SGPR14_64:
  case AMDGPU::VGPR14:
  case AMDGPU::VGPR14_64:
    return 14;
  case AMDGPU::VGPR112:
  case AMDGPU::VGPR112_64:
  case AMDGPU::VGPR112_128:
    return 112;
  case AMDGPU::SGPR69:
  case AMDGPU::VGPR69:
    return 69;
  case AMDGPU::VGPR191:
    return 191;
  case AMDGPU::VGPR172:
  case AMDGPU::VGPR172_64:
  case AMDGPU::VGPR172_128:
    return 172;
  case AMDGPU::VGPR145:
    return 145;
  case AMDGPU::SGPR49:
  case AMDGPU::VGPR49:
    return 49;
  case AMDGPU::VGPR178:
  case AMDGPU::VGPR178_64:
    return 178;
  case AMDGPU::SGPR24:
  case AMDGPU::SGPR24_64:
  case AMDGPU::SGPR24_128:
  case AMDGPU::SGPR24_256:
  case AMDGPU::VGPR24:
  case AMDGPU::VGPR24_64:
  case AMDGPU::VGPR24_128:
    return 24;
  case AMDGPU::VGPR224:
  case AMDGPU::VGPR224_64:
  case AMDGPU::VGPR224_128:
    return 224;
  case AMDGPU::VGPR187:
    return 187;
  case AMDGPU::VGPR140:
  case AMDGPU::VGPR140_64:
  case AMDGPU::VGPR140_128:
    return 140;
  case AMDGPU::VGPR223:
    return 223;
  case AMDGPU::VGPR124:
  case AMDGPU::VGPR124_64:
  case AMDGPU::VGPR124_128:
    return 124;
  case AMDGPU::VCC:
  case AMDGPU::VGPR104:
  case AMDGPU::VGPR104_64:
  case AMDGPU::VGPR104_128:
    return 104;
  case AMDGPU::VGPR131:
    return 131;
  case AMDGPU::VGPR181:
    return 181;
  case AMDGPU::VGPR234:
  case AMDGPU::VGPR234_64:
    return 234;
  case AMDGPU::VGPR121:
    return 121;
  case AMDGPU::SGPR79:
  case AMDGPU::VGPR79:
    return 79;
  case AMDGPU::VGPR212:
  case AMDGPU::VGPR212_64:
  case AMDGPU::VGPR212_128:
    return 212;
  case AMDGPU::VGPR154:
  case AMDGPU::VGPR154_64:
    return 154;
  case AMDGPU::SGPR0:
  case AMDGPU::SGPR0_64:
  case AMDGPU::SGPR0_128:
  case AMDGPU::SGPR0_256:
  case AMDGPU::VGPR0:
  case AMDGPU::VGPR0_64:
  case AMDGPU::VGPR0_128:
    return 0;
  case AMDGPU::SGPR23:
  case AMDGPU::VGPR23:
    return 23;
  case AMDGPU::SGPR96:
  case AMDGPU::SGPR96_64:
  case AMDGPU::SGPR96_128:
  case AMDGPU::SGPR96_256:
  case AMDGPU::VGPR96:
  case AMDGPU::VGPR96_64:
  case AMDGPU::VGPR96_128:
    return 96;
  case AMDGPU::VGPR126:
  case AMDGPU::VGPR126_64:
    return 126;
  case AMDGPU::VGPR238:
  case AMDGPU::VGPR238_64:
    return 238;
  case AMDGPU::VGPR159:
    return 159;
  case AMDGPU::VGPR251:
    return 251;
  case AMDGPU::VGPR253:
    return 253;
  case AMDGPU::VGPR160:
  case AMDGPU::VGPR160_64:
  case AMDGPU::VGPR160_128:
    return 160;
  case AMDGPU::VGPR176:
  case AMDGPU::VGPR176_64:
  case AMDGPU::VGPR176_128:
    return 176;
  case AMDGPU::SGPR47:
  case AMDGPU::VGPR47:
    return 47;
  case AMDGPU::SGPR8:
  case AMDGPU::SGPR8_64:
  case AMDGPU::SGPR8_128:
  case AMDGPU::SGPR8_256:
  case AMDGPU::VGPR8:
  case AMDGPU::VGPR8_64:
  case AMDGPU::VGPR8_128:
    return 8;
  case AMDGPU::VGPR209:
    return 209;
  case AMDGPU::SGPR98:
  case AMDGPU::SGPR98_64:
  case AMDGPU::VGPR98:
  case AMDGPU::VGPR98_64:
    return 98;
  case AMDGPU::VGPR216:
  case AMDGPU::VGPR216_64:
  case AMDGPU::VGPR216_128:
    return 216;
  case AMDGPU::SGPR37:
  case AMDGPU::VGPR37:
    return 37;
  case AMDGPU::VGPR117:
    return 117;
  case AMDGPU::SGPR43:
  case AMDGPU::VGPR43:
    return 43;
  case AMDGPU::VGPR195:
    return 195;
  case AMDGPU::SGPR5:
  case AMDGPU::VGPR5:
    return 5;
  case AMDGPU::VGPR170:
  case AMDGPU::VGPR170_64:
    return 170;
  case AMDGPU::SGPR33:
  case AMDGPU::VGPR33:
    return 33;
  case AMDGPU::SGPR21:
  case AMDGPU::VGPR21:
    return 21;
  case AMDGPU::SGPR63:
  case AMDGPU::VGPR63:
    return 63;
  case AMDGPU::SGPR7:
  case AMDGPU::VGPR7:
    return 7;
  case AMDGPU::VGPR227:
    return 227;
  case AMDGPU::SGPR26:
  case AMDGPU::SGPR26_64:
  case AMDGPU::VGPR26:
  case AMDGPU::VGPR26_64:
    return 26;
  case AMDGPU::SGPR80:
  case AMDGPU::SGPR80_64:
  case AMDGPU::SGPR80_128:
  case AMDGPU::SGPR80_256:
  case AMDGPU::VGPR80:
  case AMDGPU::VGPR80_64:
  case AMDGPU::VGPR80_128:
    return 80;
  case AMDGPU::VGPR193:
    return 193;
  case AMDGPU::VGPR119:
    return 119;
  case AMDGPU::VGPR180:
  case AMDGPU::VGPR180_64:
  case AMDGPU::VGPR180_128:
    return 180;
  case AMDGPU::SGPR99:
  case AMDGPU::VGPR99:
    return 99;
  case AMDGPU::VGPR244:
  case AMDGPU::VGPR244_64:
  case AMDGPU::VGPR244_128:
    return 244;
  case AMDGPU::VGPR179:
    return 179;
  case AMDGPU::VGPR162:
  case AMDGPU::VGPR162_64:
    return 162;
  case AMDGPU::SGPR72:
  case AMDGPU::SGPR72_64:
  case AMDGPU::SGPR72_128:
  case AMDGPU::SGPR72_256:
  case AMDGPU::VGPR72:
  case AMDGPU::VGPR72_64:
  case AMDGPU::VGPR72_128:
    return 72;
  case AMDGPU::VGPR255:
    return 255;
  case AMDGPU::VGPR246:
  case AMDGPU::VGPR246_64:
    return 246;
  case AMDGPU::VGPR240:
  case AMDGPU::VGPR240_64:
  case AMDGPU::VGPR240_128:
    return 240;
  case AMDGPU::SGPR74:
  case AMDGPU::SGPR74_64:
  case AMDGPU::VGPR74:
  case AMDGPU::VGPR74_64:
    return 74;
  case AMDGPU::VGPR182:
  case AMDGPU::VGPR182_64:
    return 182;
  case AMDGPU::SGPR61:
  case AMDGPU::VGPR61:
    return 61;
  case AMDGPU::VGPR230:
  case AMDGPU::VGPR230_64:
    return 230;
  case AMDGPU::VGPR108:
  case AMDGPU::VGPR108_64:
  case AMDGPU::VGPR108_128:
    return 108;
  case AMDGPU::VGPR115:
    return 115;
  case AMDGPU::SGPR92:
  case AMDGPU::SGPR92_64:
  case AMDGPU::SGPR92_128:
  case AMDGPU::VGPR92:
  case AMDGPU::VGPR92_64:
  case AMDGPU::VGPR92_128:
    return 92;
  case AMDGPU::SGPR103:
  case AMDGPU::VGPR103:
    return 103;
  case AMDGPU::VGPR201:
    return 201;
  case AMDGPU::VGPR232:
  case AMDGPU::VGPR232_64:
  case AMDGPU::VGPR232_128:
    return 232;
  case AMDGPU::SGPR10:
  case AMDGPU::SGPR10_64:
  case AMDGPU::VGPR10:
  case AMDGPU::VGPR10_64:
    return 10;
  case AMDGPU::VGPR113:
    return 113;
  case AMDGPU::VGPR152:
  case AMDGPU::VGPR152_64:
  case AMDGPU::VGPR152_128:
    return 152;
  case AMDGPU::VGPR189:
    return 189;
  case AMDGPU::VGPR225:
    return 225;
  case AMDGPU::VGPR207:
    return 207;
  case AMDGPU::VGPR142:
  case AMDGPU::VGPR142_64:
    return 142;
  case AMDGPU::SGPR91:
  case AMDGPU::VGPR91:
    return 91;
  case AMDGPU::VGPR167:
    return 167;
  case AMDGPU::SGPR48:
  case AMDGPU::SGPR48_64:
  case AMDGPU::SGPR48_128:
  case AMDGPU::SGPR48_256:
  case AMDGPU::VGPR48:
  case AMDGPU::VGPR48_64:
  case AMDGPU::VGPR48_128:
    return 48;
  case AMDGPU::VGPR107:
    return 107;
  case AMDGPU::SGPR87:
  case AMDGPU::VGPR87:
    return 87;
  case AMDGPU::VGPR174:
  case AMDGPU::VGPR174_64:
    return 174;
  case AMDGPU::SGPR77:
  case AMDGPU::VGPR77:
    return 77;
  case AMDGPU::VGPR214:
  case AMDGPU::VGPR214_64:
    return 214;
  case AMDGPU::VGPR133:
    return 133;
  case AMDGPU::VGPR149:
    return 149;
  case AMDGPU::VGPR123:
    return 123;
  case AMDGPU::VGPR221:
    return 221;
  case AMDGPU::SGPR50:
  case AMDGPU::SGPR50_64:
  case AMDGPU::VGPR50:
  case AMDGPU::VGPR50_64:
    return 50;
  case AMDGPU::SGPR39:
  case AMDGPU::VGPR39:
    return 39;
  case AMDGPU::VGPR210:
  case AMDGPU::VGPR210_64:
    return 210;
  case AMDGPU::SGPR64:
  case AMDGPU::SGPR64_64:
  case AMDGPU::SGPR64_128:
  case AMDGPU::SGPR64_256:
  case AMDGPU::VGPR64:
  case AMDGPU::VGPR64_64:
  case AMDGPU::VGPR64_128:
    return 64;
  case AMDGPU::SGPR97:
  case AMDGPU::VGPR97:
    return 97;
  case AMDGPU::SGPR12:
  case AMDGPU::SGPR12_64:
  case AMDGPU::SGPR12_128:
  case AMDGPU::VGPR12:
  case AMDGPU::VGPR12_64:
  case AMDGPU::VGPR12_128:
    return 12;
  case AMDGPU::SGPR41:
  case AMDGPU::VGPR41:
    return 41;
  case AMDGPU::SGPR52:
  case AMDGPU::SGPR52_64:
  case AMDGPU::SGPR52_128:
  case AMDGPU::VGPR52:
  case AMDGPU::VGPR52_64:
  case AMDGPU::VGPR52_128:
    return 52;
  case AMDGPU::VGPR173:
    return 173;
  case AMDGPU::SGPR56:
  case AMDGPU::SGPR56_64:
  case AMDGPU::SGPR56_128:
  case AMDGPU::SGPR56_256:
  case AMDGPU::VGPR56:
  case AMDGPU::VGPR56_64:
  case AMDGPU::VGPR56_128:
    return 56;
  case AMDGPU::VGPR229:
    return 229;
  case AMDGPU::SGPR45:
  case AMDGPU::VGPR45:
    return 45;
  case AMDGPU::SGPR66:
  case AMDGPU::SGPR66_64:
  case AMDGPU::VGPR66:
  case AMDGPU::VGPR66_64:
    return 66;
  case AMDGPU::SGPR19:
  case AMDGPU::VGPR19:
    return 19;
  case AMDGPU::SGPR54:
  case AMDGPU::SGPR54_64:
  case AMDGPU::VGPR54:
  case AMDGPU::VGPR54_64:
    return 54;
  case AMDGPU::VGPR237:
    return 237;
  case AMDGPU::SGPR70:
  case AMDGPU::SGPR70_64:
  case AMDGPU::VGPR70:
  case AMDGPU::VGPR70_64:
    return 70;
  case AMDGPU::VGPR188:
  case AMDGPU::VGPR188_64:
  case AMDGPU::VGPR188_128:
    return 188;
  case AMDGPU::SGPR68:
  case AMDGPU::SGPR68_64:
  case AMDGPU::SGPR68_128:
  case AMDGPU::VGPR68:
  case AMDGPU::VGPR68_64:
  case AMDGPU::VGPR68_128:
    return 68;
  case AMDGPU::VGPR166:
  case AMDGPU::VGPR166_64:
    return 166;
  case AMDGPU::SGPR1:
  case AMDGPU::VGPR1:
    return 1;
  case AMDGPU::VGPR136:
  case AMDGPU::VGPR136_64:
  case AMDGPU::VGPR136_128:
    return 136;
  case AMDGPU::SGPR88:
  case AMDGPU::SGPR88_64:
  case AMDGPU::SGPR88_128:
  case AMDGPU::SGPR88_256:
  case AMDGPU::VGPR88:
  case AMDGPU::VGPR88_64:
  case AMDGPU::VGPR88_128:
    return 88;
  case AMDGPU::VGPR116:
  case AMDGPU::VGPR116_64:
  case AMDGPU::VGPR116_128:
    return 116;
  case AMDGPU::VGPR144:
  case AMDGPU::VGPR144_64:
  case AMDGPU::VGPR144_128:
    return 144;
  case AMDGPU::VGPR141:
    return 141;
  case AMDGPU::SGPR30:
  case AMDGPU::SGPR30_64:
  case AMDGPU::VGPR30:
  case AMDGPU::VGPR30_64:
    return 30;
  case AMDGPU::SGPR100:
  case AMDGPU::SGPR100_64:
  case AMDGPU::SGPR100_128:
  case AMDGPU::VGPR100:
  case AMDGPU::VGPR100_64:
  case AMDGPU::VGPR100_128:
    return 100;
  case AMDGPU::VGPR222:
  case AMDGPU::VGPR222_64:
    return 222;
  case AMDGPU::VGPR128:
  case AMDGPU::VGPR128_64:
  case AMDGPU::VGPR128_128:
    return 128;
  case AMDGPU::SGPR25:
  case AMDGPU::VGPR25:
    return 25;
  case AMDGPU::VGPR252:
  case AMDGPU::VGPR252_64:
  case AMDGPU::VGPR252_128:
    return 252;
  case AMDGPU::SGPR28:
  case AMDGPU::SGPR28_64:
  case AMDGPU::SGPR28_128:
  case AMDGPU::VGPR28:
  case AMDGPU::VGPR28_64:
  case AMDGPU::VGPR28_128:
    return 28;
  case AMDGPU::VGPR120:
  case AMDGPU::VGPR120_64:
  case AMDGPU::VGPR120_128:
    return 120;
  case AMDGPU::VGPR156:
  case AMDGPU::VGPR156_64:
  case AMDGPU::VGPR156_128:
    return 156;
  case AMDGPU::VGPR134:
  case AMDGPU::VGPR134_64:
    return 134;
  case AMDGPU::SGPR40:
  case AMDGPU::SGPR40_64:
  case AMDGPU::SGPR40_128:
  case AMDGPU::SGPR40_256:
  case AMDGPU::VGPR40:
  case AMDGPU::VGPR40_64:
  case AMDGPU::VGPR40_128:
    return 40;
  case AMDGPU::SGPR75:
  case AMDGPU::VGPR75:
    return 75;
  case AMDGPU::SGPR83:
  case AMDGPU::VGPR83:
    return 83;
  case AMDGPU::VGPR250:
  case AMDGPU::VGPR250_64:
    return 250;
  case AMDGPU::VGPR192:
  case AMDGPU::VGPR192_64:
  case AMDGPU::VGPR192_128:
    return 192;
  case AMDGPU::SGPR59:
  case AMDGPU::VGPR59:
    return 59;
  case AMDGPU::VGPR254:
  case AMDGPU::VGPR254_64:
    return 254;
  case AMDGPU::VGPR215:
    return 215;
  case AMDGPU::VGPR177:
    return 177;
  case AMDGPU::VGPR150:
  case AMDGPU::VGPR150_64:
    return 150;
  case AMDGPU::VGPR155:
    return 155;
  case AMDGPU::VGPR130:
  case AMDGPU::VGPR130_64:
    return 130;
  case AMDGPU::VGPR217:
    return 217;
  case AMDGPU::SGPR53:
  case AMDGPU::VGPR53:
    return 53;
  case AMDGPU::VGPR245:
    return 245;
  case AMDGPU::VGPR239:
    return 239;
  case AMDGPU::VGPR122:
  case AMDGPU::VGPR122_64:
    return 122;
  case AMDGPU::VGPR143:
    return 143;
  case AMDGPU::VGPR205:
    return 205;
  case AMDGPU::VGPR158:
  case AMDGPU::VGPR158_64:
    return 158;
  case AMDGPU::SGPR42:
  case AMDGPU::SGPR42_64:
  case AMDGPU::VGPR42:
  case AMDGPU::VGPR42_64:
    return 42;
  case AMDGPU::SGPR22:
  case AMDGPU::SGPR22_64:
  case AMDGPU::VGPR22:
  case AMDGPU::VGPR22_64:
    return 22;
  case AMDGPU::VGPR219:
    return 219;
  case AMDGPU::SGPR46:
  case AMDGPU::SGPR46_64:
  case AMDGPU::VGPR46:
  case AMDGPU::VGPR46_64:
    return 46;
  case AMDGPU::SGPR13:
  case AMDGPU::VGPR13:
    return 13;
  case AMDGPU::VGPR235:
    return 235;
  case AMDGPU::VGPR105:
    return 105;
  case AMDGPU::SGPR6:
  case AMDGPU::SGPR6_64:
  case AMDGPU::VGPR6:
  case AMDGPU::VGPR6_64:
    return 6;
  case AMDGPU::SGPR85:
  case AMDGPU::VGPR85:
    return 85;
  case AMDGPU::VGPR185:
    return 185;
  case AMDGPU::SGPR36:
  case AMDGPU::SGPR36_64:
  case AMDGPU::SGPR36_128:
  case AMDGPU::VGPR36:
  case AMDGPU::VGPR36_64:
  case AMDGPU::VGPR36_128:
    return 36;
  case AMDGPU::SGPR3:
  case AMDGPU::VGPR3:
    return 3;
  case AMDGPU::VGPR248:
  case AMDGPU::VGPR248_64:
  case AMDGPU::VGPR248_128:
    return 248;
  case AMDGPU::VGPR213:
    return 213;
  case AMDGPU::VGPR183:
    return 183;
  case AMDGPU::SGPR94:
  case AMDGPU::SGPR94_64:
  case AMDGPU::VGPR94:
  case AMDGPU::VGPR94_64:
    return 94;
  case AMDGPU::VGPR146:
  case AMDGPU::VGPR146_64:
    return 146;
  case AMDGPU::SGPR51:
  case AMDGPU::VGPR51:
    return 51;
  case AMDGPU::SGPR9:
  case AMDGPU::VGPR9:
    return 9;
  case AMDGPU::VGPR111:
    return 111;
  case AMDGPU::SGPR38:
  case AMDGPU::SGPR38_64:
  case AMDGPU::VGPR38:
  case AMDGPU::VGPR38_64:
    return 38;
  case AMDGPU::SGPR4:
  case AMDGPU::SGPR4_64:
  case AMDGPU::SGPR4_128:
  case AMDGPU::VGPR4:
  case AMDGPU::VGPR4_64:
  case AMDGPU::VGPR4_128:
    return 4;
  case AMDGPU::SGPR34:
  case AMDGPU::SGPR34_64:
  case AMDGPU::VGPR34:
  case AMDGPU::VGPR34_64:
    return 34;
  case AMDGPU::VGPR169:
    return 169;
  case AMDGPU::VGPR164:
  case AMDGPU::VGPR164_64:
  case AMDGPU::VGPR164_128:
    return 164;
  case AMDGPU::VGPR132:
  case AMDGPU::VGPR132_64:
  case AMDGPU::VGPR132_128:
    return 132;
  case AMDGPU::VGPR196:
  case AMDGPU::VGPR196_64:
  case AMDGPU::VGPR196_128:
    return 196;
  case AMDGPU::VGPR171:
    return 171;
  case AMDGPU::VGPR242:
  case AMDGPU::VGPR242_64:
    return 242;
  default: return 0;
  }
}
