
#include "target-helpers/inline_debug_helper.h"
#include "state_tracker/drm_driver.h"
#include "nouveau/drm/nouveau_drm_public.h"

#include <xf86drm.h>
#include <nouveau_drm.h>

/* yes this is an ugly hack */
static int nvfd = -1;

static struct pipe_screen *
create_screen(int fd)
{
   struct pipe_screen *screen;

   screen = nouveau_drm_screen_create(fd);
   if (!screen)
      return NULL;

   nvfd = fd;

   screen = debug_screen_wrap(screen);

   return screen;
}

static const struct drm_conf_ret notfp_ret = {
   .type = DRM_CONF_BOOL,
   .val.val_bool = 1,
};

static const struct drm_conf_ret *drm_configuration(enum drm_conf conf)
{
   switch (conf) {
   case DRM_CONF_NOTFP:
   {
      /* have to open-code to reuse the fd */
      struct drm_nouveau_getparam g;
      int vram;

      g.param = NOUVEAU_GETPARAM_CHIPSET_ID;
      if (drmCommandWriteRead(nvfd, DRM_NOUVEAU_GETPARAM, &g, sizeof(g)))
         return &notfp_ret; /* error?  paranoia */

      if (g.value < 0x50)
	 return NULL; /* nv50+ okay */

      if (g.value & 0xf0 == 0x30)
	  return &notfp_ret; /* nv30 definitely horked */

      g.param = NOUVEAU_GETPARAM_FB_SIZE;
      if (drmCommandWriteRead(nvfd, DRM_NOUVEAU_GETPARAM, &g, sizeof(g)))
         return &notfp_ret; /* error?  paranoia */

      vram = g.value;
      if ((vram >> 20) <= 64)
	 return &notfp_ret; /* let's say <64M is too little */

      return NULL;
   }

   default:
      break;
   }
   return NULL;
}

DRM_DRIVER_DESCRIPTOR("nouveau", "nouveau", create_screen, drm_configuration)
